""" Tut2: Working with layers """

import tilengine as tln

# initialise
tln.Init (400,240,2,80,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

# setup the foreground layer
fg_tileset = tln.LoadTileset ("Foreground.tsx")
fg_tilemap = tln.LoadTilemap ("Foreground.tmx", "Layer 1")
tln.SetLayer (0, fg_tileset, fg_tilemap)

# setup the background layer
bg_tileset = tln.LoadTileset ("Background.tsx")
bg_tilemap = tln.LoadTilemap ("Background.tmx", "Layer 1")
tln.SetLayer (1, bg_tileset, bg_tilemap)

# game loop
x_world = 0
while tln.ProcessWindow ():
	tln.SetLayerPosition (0, x_world, 0)
	tln.SetLayerPosition (1, x_world/2, 0)
	tln.DrawFrame (0)
	x_world += 2
	
# release resources
tln.Deinit ()
