""" Tut3: Working with sprites """

import tilengine as tln

# initialise
tln.Init (400,240,2,80,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

hero = tln.LoadSpriteset ("Hero")
tln.SetSpriteSet (0, hero)
tln.SetSpritePicture (0, 0)
tln.SetSpritePosition (0, 32,160)

# game loop
x = 0		# starting x sprite position
frame = 0	# starting frame
while tln.ProcessWindow () and x < 420:
	picture = 11 + (frame/9) % 6
	tln.SetSpritePicture (0, picture)
	tln.SetSpritePosition (0, x,160)
	tln.DrawFrame (0)
	x += 1
	frame += 1
	
tln.Deinit ()
