""" Tut3.2: flipping graphics """

import tilengine as tln

# initialise
tln.Init (400,240,2,8,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

hero = tln.LoadSpriteset ("Hero")

tln.SetSpriteSet (0, hero)
tln.SetSpritePosition (0, 80,100)
tln.SetSpriteFlags (0, 0)

tln.SetSpriteSet (1, hero)
tln.SetSpritePosition (1, 160,100)
tln.SetSpriteFlags (1, tln.FLAG_FLIPX)

tln.SetSpriteSet (2, hero)
tln.SetSpritePosition (2, 240,100)
tln.SetSpriteFlags (2, tln.FLAG_FLIPY)

tln.SetSpriteSet (3, hero)
tln.SetSpritePosition (3, 320,100)
tln.SetSpriteFlags (3, tln.FLAG_FLIPX + tln.FLAG_FLIPY)

# game loop
while tln.ProcessWindow ():
	tln.DrawFrame (0)
	
tln.Deinit ()
