""" Tut5: Working with color palettes """

import tilengine as tln

# initialise
tln.Init (400,240,2,80,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

hero = tln.LoadSpriteset ("Hero")
palette = tln.LoadPalette ("Hero_alt.act")				# load other palette
tln.SetSpriteSet (0, hero)
tln.SetSpritePosition (0, 160,150)
tln.SetSpritePalette (0, palette)						# set the palette

tileset = tln.LoadTileset ("Foreground.tsx")
tilemap = tln.LoadTilemap ("Foreground.tmx", "Layer 1")
palette = tln.LoadPalette ("Foreground_alt.act")		# load other palette
tln.SetLayer (0, tileset, tilemap)
tln.SetLayerPalette (0, palette)						# set the palette

# game loop
while tln.ProcessWindow ():
	tln.DrawFrame (0)
	
tln.Deinit ()
