""" Tut7.1: sprite scaling """

import tilengine as tln

# initialise
tln.Init (400,240,2,8,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

hero = tln.LoadSpriteset ("Hero")

tln.SetSpriteSet (0, hero)
tln.SetSpritePosition (0, 100,64)
tln.SetSpriteScaling (0, 0.5, 0.5)

tln.SetSpriteSet (1, hero)
tln.SetSpritePosition (1, 180,64)
tln.SetSpriteScaling (1, 2.0, 2.0)

tln.SetSpriteSet (2, hero)
tln.SetSpritePosition (2, 300,64)
tln.SetSpriteScaling (2, 4.0, 4.0)

# game loop
while tln.ProcessWindow ():
	tln.DrawFrame (0)
	
tln.Deinit ()
