""" Tut7.2: scaling sprites"""

import tilengine as tln

# initialise
tln.Init (400,240,2,8,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

hero = tln.LoadSpriteset ("Hero")
tln.SetSpriteSet (0, hero)
tln.SetSpritePosition (0, 184,100)

# game loop
factor = 0.5
delta = 0.05
while tln.ProcessWindow ():
	tln.SetSpriteScaling (0, factor, factor)
	tln.DrawFrame (0)
	factor += delta
	if factor >= 4.5 or factor <= 0.5:
		delta = -delta
	
tln.Deinit ()
