""" Tut7.4: Affine transform layers """

import tilengine as tln

# initialise
tln.Init (400,240,2,80,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

# setup the foreground layer
fg_tileset = tln.LoadTileset ("Foreground.tsx")
fg_tilemap = tln.LoadTilemap ("Foreground.tmx", "Layer 1")
tln.SetLayer (0, fg_tileset, fg_tilemap)
tln.SetLayerPosition (0, 600, 0)

# setup the background layer
bg_tileset = tln.LoadTileset ("Background.tsx")
bg_tilemap = tln.LoadTilemap ("Background.tmx", "Layer 1")
tln.SetLayer (1, bg_tileset, bg_tilemap)

# game loop
angle = 0
while tln.ProcessWindow ():
	tln.SetLayerTransform (0, angle, 200,120, 1.5, 1.5)
	tln.SetLayerTransform (1, -angle*2, 100,60, 1.5, 1.5)
	tln.DrawFrame (0)
	angle += 0.5
	if angle >= 360:
		angle = 0
	
# release resources
tln.Deinit ()
