""" Tut1: Basic engine setup and display with built-in windowing """

import tilengine as tln

# initialise engine and window
tln.Init (400,240,2,80,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

# try to load a non-existent resource
tileset = tln.LoadTileset ("spam.tsx")
if tileset == None:
	error = tln.GetLastError ()
	print "Error " + str(error) + ": " + tln.GetErrorString (error)

# game loop
while tln.ProcessWindow ():
	tln.DrawFrame (0)
	
# release resources
tln.Deinit ()
	