""" Tut7.3: Scaling layers """

import tilengine as tln

# initialise
tln.Init (400,240,2,80,1)
tln.SetBGColor (28,0,140)
tln.CreateWindow (None, tln.CWF_VSYNC)

# setup the foreground layer
fg_tileset = tln.LoadTileset ("Foreground.tsx")
fg_tilemap = tln.LoadTilemap ("Foreground.tmx", "Layer 1")
tln.SetLayer (0, fg_tileset, fg_tilemap)
tln.SetLayerPosition (0, 100,120)
tln.SetLayerScaling (0, 4.0, 4.0)
tln.SetLayerClip (0, 1,0, 400,240)

# setup the background layer
bg_tileset = tln.LoadTileset ("Background.tsx")
bg_tilemap = tln.LoadTilemap ("Background.tmx", "Layer 1")
tln.SetLayer (1, bg_tileset, bg_tilemap)
tln.SetLayerPosition (1, 100,0)
tln.SetLayerScaling (1, 0.5, 0.5)

# game loop
while tln.ProcessWindow ():
	tln.DrawFrame (0)
	
# release resources
tln.Deinit ()
